Package com.google.android.exoplayer2.source.dash

## Interface PlayerEmsgHandler.PlayerEmsgCallback

- Enclosing class:
    PlayerEmsgHandler

      public static interface PlayerEmsgHandler.PlayerEmsgCallback

  Callbacks for player emsg events encountered during DASH live stream.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onDashManifestPublishTimeExpired​(long expiredManifestPublishTimeUs)` | Called when the manifest with the publish time has been expired.
    `void` | `onDashManifestRefreshRequested()` | Called when the current manifest should be refreshed.

- - ### Method Detail

    - #### onDashManifestRefreshRequested

          void onDashManifestRefreshRequested()

      Called when the current manifest should be refreshed.

    - #### onDashManifestPublishTimeExpired

          void onDashManifestPublishTimeExpired​(long expiredManifestPublishTimeUs)

      Called when the manifest with the publish time has been expired.
      Parameters:
        `expiredManifestPublishTimeUs` - The manifest publish time that has been expired.